## org.eclipse.datatools.sqltools.debugger.model
Class SPWatchExpressionDelegate

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.model.SPWatchExpressionDelegate

All Implemented Interfaces:
  org.eclipse.debug.core.model.IWatchExpressionDelegate

    public class SPWatchExpressionDelegate

extends java.lang.Object
implements org.eclipse.debug.core.model.IWatchExpressionDelegate

A delegate which computes the value of a SQL watch expression when provided a context.

Author:
  Yang Liu

Constructor Summary
`SPWatchExpressionDelegate()`

Method Summary
`void` `evaluateExpression(java.lang.String expression, org.eclipse.debug.core.model.IDebugElement context, org.eclipse.debug.core.model.IWatchExpressionListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPWatchExpressionDelegate

    public SPWatchExpressionDelegate()

Method Detail

### evaluateExpression

    public void evaluateExpression(java.lang.String expression,
                                   org.eclipse.debug.core.model.IDebugElement context,
                                   org.eclipse.debug.core.model.IWatchExpressionListener listener)

  Specified by:
    `evaluateExpression` in interface `org.eclipse.debug.core.model.IWatchExpressionDelegate`